import * as THREE from 'three';
export interface IIndexedDBService {
    init(): void;
    getData(key: number): Promise<IDBRequest<any>>;
    getDataAll(): Promise<IDBRequest<any>>;
    patch(data: any, id: number | string): void;
    save(saveData: any): void;
    loadAllObjects(scene: THREE.Scene): Promise<void>;
}
declare class IndexedDBService implements IIndexedDBService {
    init(): void;
    getData(key: number): Promise<IDBRequest<any>>;
    getDataAll(): Promise<IDBRequest<any>>;
    patch(data: any, id: number | string): void;
    save(saveData: any): void;
    loadAllObjects(scene: THREE.Scene): Promise<void>;
}
export default IndexedDBService;
